#include <iostream>

using namespace std;
class Takmicar {
    public:
        int Ai = 0;
        int brojPoznanika = 0;
        int sreca = 0;
};
int main()
{
    int N, M;
    cin >> N >> M;
    Takmicar takmicar[1024];
    for (int i = 1; i <= N; i++)
    {
        cin >> takmicar[i].Ai;
    }
    int paroviPoznanika[1024][2];
    int poznanik;
    for (int i = 1; i <= M; i++)
    {
        for (int j = 1; j <= 2; j++)
        {
            cin >> poznanik;
            takmicar[poznanik].brojPoznanika++;
        }
    }
    int srecaTakmicenja = 0, srecaTakmicara_Prijatelji, srecaTakmicara_Neprijatelji;
    for (int i = 1; i <= N; i++)
    {
        srecaTakmicara_Prijatelji = takmicar[i].Ai * (takmicar[i].brojPoznanika - 0);
        srecaTakmicara_Neprijatelji = takmicar[i].Ai * (0 - takmicar[i].brojPoznanika);
        if (srecaTakmicara_Prijatelji > srecaTakmicara_Neprijatelji)
        {
            takmicar[i].sreca = srecaTakmicara_Prijatelji;
        }
        else
        {
            takmicar[i].sreca = srecaTakmicara_Neprijatelji;
        }
        srecaTakmicenja += takmicar[i].sreca;
    }
    cout << srecaTakmicenja;
    return 0;
}